import java.awt.*;
import objectdraw.*;

/*
 * This program is a first step toward a drawing program that will 
 * be much more functional than our simple Scribble example.
 * Here, we construct a recursive data structure to represent
 * a Scribble.
 *
 * Jim Teresco, CSC 252, The College of Saint Rose, Fall 2013
 * Based on similar example from Williams College CS 134.
 *
 * $Id: SimplestRecScribbler.java 2230 2013-10-27 02:26:10Z terescoj $
 */

public class SimplestRecScribbler extends WindowController {

    // the current scribble
    private Scribble currentScribble;

    // stores last point for drawing or dragging
    private Location lastPoint;

    // start a new (empty) scribble for drawing
    //   and remember point for drawing later
    public void onMousePress(Location point) {
        currentScribble = new Scribble(null, null);
        lastPoint = point;
    }

    // add new line to current scribble
    public void onMouseDrag(Location point) {
        currentScribble = new Scribble(new Line(lastPoint, point, canvas), currentScribble);
        lastPoint = point;
    }
}
